petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESMonitorDefaultField

Monitors progress of the SNES solvers, separated into fields.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorDefaultField(SNES snes, PetscInt its, PetscReal fgnorm, PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| ctx | - the PetscViewer

### Notes

This routine uses the DM attached to the residual vector

### Keywords

SNES, nonlinear, field, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution(), SNESMonitorDefault()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages